import { OnInit, OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Used for coordinating popovers and closing/replacing existing ones when a new popover of the same name appears.
 */
export declare class DbxPopoverCoordinatorComponent implements OnInit, OnDestroy {
    private readonly _service;
    private readonly _popover;
    readonly isPopoverForKey$: import("rxjs").Observable<boolean>;
    readonly show$: import("rxjs").Observable<boolean>;
    readonly showSignal: import("@angular/core").Signal<boolean | undefined>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DbxPopoverCoordinatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DbxPopoverCoordinatorComponent, "dbx-popover-coordinator", never, {}, {}, never, ["*"], true, never>;
}
